import { request } from "../lib/api";
import { ApplicationType, JobType } from "../types";

export default class CommonAPI {
  static getJobs = () => request("<BASE_URL>/jobs", "GET");

  static createJob = (payload: JobType) =>
    request("<BASE_URL>/jobs", "POST", payload);

  static updateJob = (payload: JobType) =>
    request("<BASE_URL>/jobs", "PUT", payload);

  static applyForJob = (payload: {
    application: ApplicationType;
    resumeUrl: string;
  }) => request("<BASE_URL>/jobs/apply", "PUT", payload);
}
